<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>tests/cases/markdown.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/markdown.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/markdown.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>
<a name="line3"></a>/**
<a name="line4"></a> * @package PHPDoctor\Tests
<a name="line5"></a> */
<a name="line6"></a>class TestMarkdown extends DoctorTestCase
<a name="line7"></a>{
<a name="line8"></a>	
<a name="line9"></a>    var $output;
<a name="line10"></a>    
<a name="line11"></a>	function testMarkdown() {
<a name="line12"></a>        $this->DoctorTestCase('Markdown formatter tests');
<a name="line13"></a>		
<a name="line14"></a>		$this->clearOutputDir();
<a name="line15"></a>		
<a name="line16"></a>		$this->setIniFile('markdown.ini');
<a name="line17"></a>		$this->runPhpDoctor();
<a name="line18"></a>		
<a name="line19"></a>		$this->output = $this->readOutputFile('phpdoctor/tests/markdownformattest.html');
<a name="line20"></a>		#var_dump($this->output);
<a name="line21"></a>	}
<a name="line22"></a>	
<a name="line23"></a>	function testListConversion() {
<a name="line24"></a>		
<a name="line25"></a>		// This is actually not the way it should be done, but I'm a bit short of time. So here's just a check that
<a name="line26"></a>		// the testcase doc as a whole comes out as expected, instead of testing one issue at a time.
<a name="line27"></a>		
<a name="line28"></a>		$expected = <<<EXPECTED
<a name="line29"></a><p>This docblock uses Markdown to provide formatting</p>
<a name="line30"></a>
<a name="line31"></a><p>This is a new paragraph</p>
<a name="line32"></a>
<a name="line33"></a><p><em>normal emphasis with asterisks</em></p>
<a name="line34"></a>
<a name="line35"></a><p><em>normal emphasis with underscore</em></p>
<a name="line36"></a>
<a name="line37"></a><p><strong>strong emphasis with asterisks</strong></p>
<a name="line38"></a>
<a name="line39"></a><p><strong>strong emphasis with underscore</strong></p>
<a name="line40"></a>
<a name="line41"></a><p>This is some text <em>emphased</em> with asterisks.</p>
<a name="line42"></a>
<a name="line43"></a><p><a href="http://peej.github.com/phpdoctor/">PHP Doctor</a></p>
<a name="line44"></a>
<a name="line45"></a><p>Header 1
<a name="line46"></a> ========</p>
<a name="line47"></a>
<a name="line48"></a><p>Header 2</p>
<a name="line49"></a>
<a name="line50"></a><hr />
<a name="line51"></a>
<a name="line52"></a><p>A quote about linear algebra:</p>
<a name="line53"></a>
<a name="line54"></a><blockquote>
<a name="line55"></a>  <p>Consistent linear systems in real life are solved in 
<a name="line56"></a>  one of two ways: by direct calculation (using a matrix 
<a name="line57"></a>  factorization, for example) or by an iterative procedure 
<a name="line58"></a>  that generates a sequence of vectors that approach the 
<a name="line59"></a>  exact solution.</p>
<a name="line60"></a></blockquote>
<a name="line61"></a>
<a name="line62"></a><ol>
<a name="line63"></a><li>Snowy</li>
<a name="line64"></a><li>Elf</li>
<a name="line65"></a><li>Boreal</li>
<a name="line66"></a></ol>
<a name="line67"></a>
<a name="line68"></a><ul>
<a name="line69"></a><li>Sun</li>
<a name="line70"></a><li>Moon</li>
<a name="line71"></a><li><p>Earth</p></li>
<a name="line72"></a><li><p>Ingredients</p>
<a name="line73"></a>
<a name="line74"></a><ul>
<a name="line75"></a><li>Milk</li>
<a name="line76"></a><li>Eggs</li>
<a name="line77"></a></ul></li>
<a name="line78"></a><li>Recipies
<a name="line79"></a>
<a name="line80"></a><ol>
<a name="line81"></a><li>Pancake</li>
<a name="line82"></a><li>Waffle</li>
<a name="line83"></a></ol></li>
<a name="line84"></a></ul>
<a name="line85"></a>EXPECTED;
<a name="line86"></a>
<a name="line87"></a>		$this->assertStringContains($expected, $this->output, true); 
<a name="line88"></a>	}
<a name="line89"></a>	
<a name="line90"></a>}
<a name="line91"></a>
<a name="line92"></a>?>
<a name="line93"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/tests/cases/markdown.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>